libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb


Advertisement

Description

libavahi-ui-dev - Development headers for the Avahi GTK+ User interface library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb
Package name libavahi-ui-dev
Package version 0.6.32~rc+dfsg
Package release 1ubuntu2.3
Package architecture i386
Package type deb
Category libdevel
Homepage http://avahi.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 19.19 KB
Installed size 113.00 KB
Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
It allows programs to publish and discover services and hosts
running on a local network with no specific configuration. For
example you can plug into a network and instantly find printers to
print to, files to look at and people to talk to.
This package contains the development headers for the GTK+ library of Avahi.

Alternatives

Package Version Architecture Repository
libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2.3_amd64.deb 0.6.32~rc+dfsg amd64 Ubuntu Updates Main
libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2_i386.deb 0.6.32~rc+dfsg i386 Ubuntu Main
libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb 0.6.32~rc+dfsg amd64 Ubuntu Main
libavahi-ui-dev - - -

Requires

Name Value
libavahi-client-dev -
libavahi-glib-dev -
libavahi-ui0 = 0.6.32~rc+dfsg-1ubuntu2.3
libgtk2.0-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libavahi-ui-dev_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb
Source Package avahi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libavahi-ui-dev deb package:
    # sudo apt-get install libavahi-ui-dev

Files

Path
/usr/include/avahi-ui/avahi-ui.h
/usr/lib/i386-linux-gnu/libavahi-ui.a
/usr/lib/i386-linux-gnu/libavahi-ui.so
/usr/lib/i386-linux-gnu/pkgconfig/avahi-ui.pc
/usr/share/doc/libavahi-ui-dev/NEWS.gz
/usr/share/doc/libavahi-ui-dev/README
/usr/share/doc/libavahi-ui-dev/changelog.Debian.gz
/usr/share/doc/libavahi-ui-dev/copyright

Changelog

2019-01-30 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
avahi (0.6.32~rc+dfsg-1ubuntu2.3) xenial-security; urgency=medium
* SECURITY UPDATE: Denial of service
- debian/patches/CVE-2017-6519-and-CVE-2018-1000845.patch:
fix in avahi-core/server.c.
- CVE-2017-6519
- CVE-2018-1000845
2018-04-17 - Brian Murray <brian@ubuntu.com>
avahi (0.6.32~rc+dfsg-1ubuntu2.2) xenial; urgency=medium
* debian/patches/no-systemd-also.patch: Don't use 'Also=' in dnsconfd
systemd unit. (LP: #1760128)
2018-03-15 - Trent Lloyd <trent.lloyd@canonical.com>
avahi (0.6.32~rc+dfsg-1ubuntu2.1) xenial; urgency=medium
* d/p/0001-Remove-default-rlimit-nproc-3.patch,
* d/p/0002-Remove-default-rlimits-from-avahi-daemon.conf.patch:
- Remove all overly restrictive default rlimit restrictions in
avahi-daemon.conf which can cause avahi to fail to start due to
too many running process or crash out of memory. (LP: #1661869)
2015-11-24 - Martin Pitt <martin.pitt@ubuntu.com>
avahi (0.6.32~rc+dfsg-1ubuntu2) xenial; urgency=medium
* Put back libavahi-common3-udeb and libavahi-core7-udeb, they are being
used by maas-enlist-udeb.
2015-11-24 - Martin Pitt <martin.pitt@ubuntu.com>
avahi (0.6.32~rc+dfsg-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable, remaining changes:
- Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart,
debian/avahi-cups-reload.upstart
* Dropped Ubuntu changes:
- debian/control: Add versioned dependency on the dbus that satisfies our
upstart job dependency. This happened before precise already.
- Add udebs corresponding to libavahi-common3 and libavahi-core7, so
that we can use them for Eucalyptus integration in the installer.
Eucalyptus is long gone, and these udebs haven't been used in a long
time.
- d/p/skip-nproc-in-container.patch: Detect whether we are running in a
container, and do not set rlimit_nproc if so. Current LXC does not
create /run/container_type any more so the patch is a no-op. It's also
not necessary any more as avahi does not fail if it cannot set the
rlimit.
* Drop obsolete dh_installinit --upstart-only option. (LP: #1519228)
2015-11-04 - Laurent Bigonville <bigon@debian.org>
avahi (0.6.32~rc+dfsg-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Don't log warnings about invalid packets, commonly triggered by Windows
10 systems (Closes: #639163)
- Drop debian/patches/01_avahi-daemon.conf.patch,
d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch,
d/p/suse-patch-gtk-box.patch, d/p/no-deprecations.patch,
d/p/so_reuseport-may-not-exist-in-running-kernel.patch, merged upstream.
* debian/control: Bump Standards-Version to 3.9.6 (no further changes)
* debian/rules: Ask dh_autoreconf to run the autogen.sh script
* debian/control: Add dh-python to the build-dependencies
2015-04-13 - Michael Biebl <biebl@debian.org>
avahi (0.6.31-5) unstable; urgency=medium
[ Andreas Henriksson ]
* Recommend iproute2 instead of transitional package iproute.
* Update avahi-daemon support scripts to use iproute2 tools if available
with a fallback to net-tools and graceful degradation if neither is
installed. (Closes: #762326)
[ Michael Biebl ]
* Don't run the avahi-autoipd ifupdown hook scripts if the package has been
removed but not purged. (Closes: #780872)
* Use --restart-after-upgrade for avahi-daemon and avahi-dnsconfd to
minimise downtime and avoid avahi-daemon being triggered via socket or
D-Bus activation during upgrades. (Closes: #768620)
* Mask avahi-daemon.service on remove to avoid the stop request being
cancelled via socket or D-Bus activation.
2014-11-17 - Brian Murray <brian@ubuntu.com>
avahi (0.6.31-4ubuntu4) vivid; urgency=medium
* No change rebuild to get debug symbols on all architectures.

See Also

Package Description
libavahi-ui-gtk3-0_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb Avahi GTK+ User interface library for GTK3
libavahi-ui-gtk3-dev_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb Development headers for the Avahi GTK+ User interface library
libavahi-ui0_0.6.32~rc+dfsg-1ubuntu2.3_i386.deb Avahi GTK+ User interface library
libbamf-doc_0.5.3~bzr0+16.04.20180209-0ubuntu1_all.deb Window matching library - documentation
libbamf3-2_0.5.3~bzr0+16.04.20180209-0ubuntu1_i386.deb Window matching library - shared library
libbamf3-dev_0.5.3~bzr0+16.04.20180209-0ubuntu1_i386.deb Window matching library - development files
libbind-dev_9.10.3.dfsg.P4-8ubuntu1.15_i386.deb Static Libraries and Headers used by BIND
libbind-export-dev_9.10.3.dfsg.P4-8ubuntu1.15_i386.deb Development files for the exported BIND libraries
libbind9-140_9.10.3.dfsg.P4-8ubuntu1.15_i386.deb BIND9 Shared Library used by BIND
libblkid-dev_2.27.1-6ubuntu3.8_i386.deb block device ID library - headers and static libraries
libblkid1_2.27.1-6ubuntu3.8_i386.deb block device ID library
libbluetooth-dev_5.37-0ubuntu5.1_i386.deb Development files for using the BlueZ Linux Bluetooth library
libbluetooth3_5.37-0ubuntu5.1_i386.deb Library to use the BlueZ Linux Bluetooth stack
libboost-date-time1.58.0_1.58.0+dfsg-5ubuntu3.1_i386.deb set of date-time libraries based on generic programming concepts
libboost-filesystem1.58.0_1.58.0+dfsg-5ubuntu3.1_i386.deb filesystem operations (portable paths, iteration over directories, etc) in C++
Advertisement
Advertisement